package com.fs.course.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.course.domain.MarketPush;
import org.springframework.stereotype.Repository;

/**
 * 营销活动推送Mapper接口
 *
 * @author fs
 * @date 2025-03-25
 */
@Repository
public interface MarketPushMapper extends BaseMapper<MarketPush>{
    /**
     * 查询营销活动推送
     *
     * @param id 营销活动推送主键
     * @return 营销活动推送
     */
    MarketPush selectMarketPushById(Long id);

    /**
     * 查询营销活动推送列表
     *
     * @param marketPush 营销活动推送
     * @return 营销活动推送集合
     */
    List<MarketPush> selectMarketPushList(MarketPush marketPush);

    /**
     * 新增营销活动推送
     *
     * @param marketPush 营销活动推送
     * @return 结果
     */
    int insertMarketPush(MarketPush marketPush);

    /**
     * 修改营销活动推送
     *
     * @param marketPush 营销活动推送
     * @return 结果
     */
    int updateMarketPush(MarketPush marketPush);

    /**
     * 删除营销活动推送
     *
     * @param id 营销活动推送主键
     * @return 结果
     */
    int deleteMarketPushById(Long id);

    /**
     * 批量删除营销活动推送
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteMarketPushByIds(Long[] ids);

    List<MarketPush> findByStatus(int status);

    Long getLastInsertId();
}
